<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<ul>
		<li id="C1" data-id="US" data-dial-code="1" onclick="informacion(this)">USA</li>
		<li id="C2" data-id="CA" data-dial-code="1" onclick="informacion(this)">Canada</li>
		<li id="C3" data-id="FF" data-dial-code="3" onclick="informacion(this)">France</li>
	</ul>

	<script>
		function informacion(info) {
		    var alerta = info.innerHTML
		    		+ "\nID Elemento: " + info.id
		            + "\nISO ID: " + info.dataset.id
		            + "\nDial Code: " + info.dataset.dialCode;
		    alert(alerta);
		}
	</script>

</body>
</html>